Subject: Re: draft-durand-dual-stack-lite

From: [email-masked]
Date: Thu, 18 Sep 2008 12:31:39 -0600

Why is/was this being move from V6OPS to Softwire? 

Re: draft-durand-dual-stack-lite 

   * To: james woodyatt <[email-masked]>, IPv6 Operations 
<[email-masked]>
   * Subject: Re: draft-durand-dual-stack-lite
   * From: Alain Durand <[email-masked]>
   * Date: Wed, 30 Jul 2008 18:43:11 +0100
   * In-reply-to: <[email-masked]>
   * User-agent: Microsoft-Entourage/12.11.0.080522 

James, 

Thank you very much for those very good comments. Many of them have been
discussed during this week, either privately or during one of the meetings.
We are going to merge the dual-stack-lite and SNAT drafts in the softwire wg
and we will include text to address those points. 

 - Alain. 

On 7/30/08 6:12 PM, "james woodyatt" <[email-masked]> wrote: 

> everyone-- 
> 
> This draft describes a scenario where the public IPv4 address mapped
> to any particular CPE host is assigned to a carrier-grade NAT device
> located in the service provider network.  To that end, I'd like to see
> more text that talks about port-mapping protocols like UPnP IGD and
> NAT-PMP than simply a naked statement that they "may or may not be
> supported" by the NAT. 
> 
> If these protocols are to be supported by a NAT located in the service
> provider network, regardless of whether the dual-stack-lite
> architecture is used vs. the multiple-layers of NAT, there is the
> issue that NAT-PMP and/or UPnP needs to be proxied by the local CPE
> gateway on behalf of the NAT. 
> 
> This is where the dual-stack-lite architecture may be inferior to
> multiple-layers of NAT, but it's not clear from the draft.  Let me
> explain... 
> 
> In the dual-stack-lite architecture, it's not clear to me that all the
> IPv4 hosts behind the CPE router-- using RFC1918 addresses, which I
> hesitate to call private addresses because they are *not* private in
> this architecture-- will be assigned NAT mappings for the same public
> IPv4 address.  If they do not, then NAT-PMP cannot be proxied by the
> CPE router.  The reason is that the single public IPv4 address used by
> the NAT-PMP server is multicast in the announcement packets to all the
> hosts in the RFC 1918 subnet. 
> 
> This deficiency in the dual-stack-lite architecture could be addressed
> by making an explicit guarantee that all the nodes behind a single
> IPv6 tunnel to the NAT will be mapped to a single public IPv4 address. 
> 
> I also have concerns about hairpinning in the dual-stack-lite
> architecture.  Not only must the NAT exhibit proper hairpinning
> behavior, it must hairpin properly between multiple overlapping
> customer address realms.  I see no mention of hairpinning at all in
> this draft.  If it's out of scope, I'd like to see a reference to the
> documents for which it *is* in scope. 
> 
> 
> --
> james woodyatt <[email-masked]>
> member of technical staff, communications engineering 
>

---

From: "Dan Wing" <[email-masked]>
Date: Thu, 18 Sep 2008 20:46:34 -0700

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Thursday, September 18, 2008 11:32 AM
> To: [email-masked]
> Subject: Re: draft-durand-dual-stack-lite
> 
> 

As a general rule, the operations area doesn't work on protocols (v6ops is in
the operations area), and Softwires is trying to re-charter to take the work,
http://www.ietf.org/mail-archive/web/ietf-announce/current/msg05200.html

-d